<template>
    <div class="ht-base-tabs-custompane-demo">
        <ht-base-tabs active-key="name1">
            <ht-base-tab-pane :tab="label" key="name1">
                标签一的内容
            </ht-base-tab-pane>
            <ht-base-tab-pane tab="标签二" key="name2">标签二的内容</ht-base-tab-pane>
            <ht-base-tab-pane tab="标签三" key="name3">标签三的内容</ht-base-tab-pane>
        </ht-base-tabs>
    </div>
</template>

<script>
    export default {
        name: 'HtBaseTabsCustompaneDemo',
        data() {
            return {
                label: (h) => {
                    return h('div', [
                        h('span', '标签一'),
                        h('Badge', {
                            props: {
                                count: 10
                            }
                        })
                    ])
                }
            }
        }
    }
</script>
<style>
    .ht-base-tabs-custompane-demo {

    }
</style>
